Bug 446285 - Show KCM in search results if English title matches query, even when the system is using another language
Summary: Show KCM in search results if English title matches query, even when the syst...
Status: RESOLVED FIXED
Alias: None
Product: systemsettings
Classification: Unclassified
Component: sidebarview (show other bugs)
Version: unspecified
Platform: Neon Packages Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Marco Martin
URL:
Keywords: usability
Depends on:
Blocks:
 
Reported: 2021-11-30 16:54 UTC by Florian Edelmann
Modified: 2021-12-19 12:26 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.24


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Edelmann 2021-11-30 16:54:56 UTC
In System Settings, searching for "Update" currently yields no results if the locale is set to German.

I would have expected the "Softwareaktualisierung" KCM (kcm_updates) to show up, because the English title "Software update" matches my search query. Currently, the kcm_updates.desktop file has no search keywords. (I changed that in https://invent.kde.org/plasma/discover/-/merge_requests/214.)

I think that search queries are also be matched against search keywords of the default locale, additional to the currently selected locale. (e.g. when I search for "screen", many KCMs are showing up in the results)

I suggest doing the same with the title (Name attribute in the desktop file).
Comment 1 Bug Janitor Service 2021-12-02 14:48:38 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/systemsettings/-/merge_requests/101
Comment 2 Fushan Wen 2021-12-02 23:46:51 UTC
Git commit 4aab8225fb24a4659b9df6b520ae711bb62f5969 by Fushan Wen.
Committed on 02/12/2021 at 23:33.
Pushed by ngraham into branch 'master'.

Always add English keywords even when the system is using another language

1. FEATURE: Always add English keywords to the list of keywords.
2. Add `doesRemoveDuplicates` bool parameter to `MenuItem::keywords`, so
   `removeDuplicates()` will not be done in the subitems to improve the
   performance.
3. Port away from deprecated `KPluginMetaData::readTranslatedString` to
   `KJsonUtils::readTranslatedString`.
4. Port away from foreach in `MenuItem::keywords`.
5. Add const keyword to `MenuItem::keywords`.
FIXED-IN: 5.24

M  +11   -4    core/MenuItem.cpp
M  +3    -1    core/MenuItem.h

https://invent.kde.org/plasma/systemsettings/commit/4aab8225fb24a4659b9df6b520ae711bb62f5969
Comment 3 Florian Edelmann 2021-12-03 09:58:14 UTC
Reopening due to https://invent.kde.org/plasma/systemsettings/-/merge_requests/101#note_350997
Comment 4 Bug Janitor Service 2021-12-03 10:03:33 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/systemsettings/-/merge_requests/102
Comment 5 Florian Edelmann 2021-12-19 12:26:18 UTC
MR https://invent.kde.org/plasma/systemsettings/-/merge_requests/102 was merged, so this is fixed now :)